<?php 

namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "noahs_margin",
 *   label = @Translation("Margin")
 * )
 */

class ControlNoahsMargin extends ControlBase{
	
	public function get_type() {
		return 'noahs_margin';
	}

	public function content_template(array $params = []) {
		$data = $params['data'] ?? null;
    	$name = $params['name'] ?? null;
    	$value = $params['value'] ?? null;
		$output = '';
	
		$output .= '<div class="nohas-field-description">Use your property as px, em, rem, %, ...</div>';
		$output .= '<ul class="field-element-list-horizontal">';
		$output .= '<li>';
		$output .= '<input type="text" name="' . $name . '[margin_left]" data-style-css="margin-left" value="' . ($value['margin_left'] ?? '') . '" class="form-control" field-settings>';
		$output .= '<label for="noahs_page_builder_margin_left">Left</label>';
		$output .= '</li>';
		$output .= '<li>';
		$output .= '<input type="text" name="' . $name . '[margin_top]" data-style-css="margin-top" value="' . ($value['margin_top'] ?? '') . '" class="form-control" field-settings>';
		$output .= '<label for="noahs_page_builder_margin_top">Top</label>';
		$output .= '</li>';
		$output .= '<li>';
		$output .= '<input type="text" name="' . $name . '[margin_right]" data-style-css="margin-right" value="' . ($value['margin_right'] ?? '') . '" class="form-control" field-settings>';
		$output .= '<label for="noahs_page_builder_margin_right">Right</label>';
		$output .= '</li>';
		$output .= '<li>';
		$output .= '<input type="text" name="' . $name . '[margin_bottom]" data-style-css="margin-bottom" value="' . ($value['margin_bottom'] ?? '') . '" class="form-control" field-settings>';
		$output .= '<label for="noahs_page_builder_margin_bottom">Bottom</label>';
		$output .= '</li>';
		$output .= '</ul>';
	
		return $output;
	}
	
	public function render_control($data){
		return $this->base($data, $this->content_template($data));
	}
	public function get_default_settings() {
		return [
			'input_type' => 'noahs_margin',
			'placeholder' => '',
			'title' => '',
		];
	}
}