<?php 

namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "control_tabs",
 *   label = @Translation("Tabs")
 * )
 */

class ControlTabs extends ControlBase{
	
	public function get_type() {
		return 'tabs';
	}


	public function content_template(array $params = []) {
		$content = $params['content'] ?? null;
		$tabs = $params['tabs'] ?? null;
		$delta = $params['delta'] ?? null;

		$first = true;
		$output = '';
	
		$output .= '<ul class="nav noahs_page_builder-tabs" id="nav-tab_' . $delta . '" role="tablist">';
		foreach ($tabs as $key => $tab) {
			$output .= '<li class="nav-item">';
			$output .= '<a class="nav-link ' . ($first ? 'active' : '') . '" id="nav-' . $key . $delta . '-tab' . '" data-bs-toggle="tab" data-bs-target="#nav-' . $key . $delta . '" type="button" role="tab" aria-controls="nav-' . $key . $delta . '" aria-selected="' . ($first ? 'true' : 'false') . '">' . $tab . '</a>';
			$output .= '</li>';
			$first = false;
		}
		$output .= '</ul>';
	
		$output .= '<div class="tab-content" id="nav-tabContent-' . $key . $delta . '">';
		$output .= $content;
		$output .= '</div>';
	
		return $output;
	}
	
	
	public function get_default_settings() {
		return [
			'input_type' => 'tabs',
			'placeholder' => '',
			'title' => '',
		];
	}
}